export
ifeq (, $(ARM_TARGET))
CC := g++
CFLAGS	=	-Wall -W -O2
LD := ld
AR := ar
RANLIB := ranlib
STRIP := strip
else
ARM := /usr/local/linux-arm
CC := /usr/local/arm/3.3.2/bin/arm-linux-g++
LD := /usr/local/arm/3.3.2/bin/arm-linux-ld
AR := /usr/local/arm/3.3.2/bin/arm-linux-ar
RANLIB := /usr/local/arm/3.3.2/bin/arm-linux-ranlib
STRIP := /usr/local/arm/3.3.2/bin/arm-linux-strip
CFLAGS := -O2 -Wall -W -Wstrict-prototypes -pipe -mshort-load-bytes -march=armv4 -mtune=strongarm110 -fno-strict-aliasing
endif

INCPATH = -I.
LFLAGS  = 
LIBS    = 

OBJECTS = ApexException.o

TARGET = libException.a

.SUFFEXES: .cpp .c .C

.cpp.o: 
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<
.C.o:   
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<
.c.o:   
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(AR) rc $(TARGET) $(OBJECTS)
	$(RANLIB) $(TARGET)

clean:
	-rm -f $(OBJECTS) $(TARGET) *~ core


